<?php
session_start();
require_once 'includes/header.php';
require_once 'includes/config.php';
$error=false;
$errors=array();
// avoid user arriving to this page without logging in
if(!isset($_SESSION['user_logged_in']) && $_SESSION['user_logged_in']!=TRUE )
{
	header('Location:login.php');

}

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    
	
	
	$fname=$_POST['fname'];
	$user_id=$_POST['user_id'];
	
	
	
	
	
	
	
	
	
	
	
	if($error==false)
	{
		$createCustomer=mysqli_query($con,"UPDATE compliants SET user_id='".$user_id."', title='".$fname."'");
		
		if($createCustomer){
			$errors['success']='Compliant updated successfully.';
		}else{
			$error=true;
			$errors['error']='Something went wrong!!!, Please try again.';
		}
	}
	
	
}
$customer=mysqli_fetch_array(mysqli_query($con,"SELECT * FROM compliants WHERE id=".$_GET['id']));
$category=mysqli_query($con,"SELECT * FROM users ");
?>
 <div class="content">
        <div class="container-fluid">
          <div class="row">
            <div class="col-md-12">
              <div class="card">
                <div class="card-header card-header-primary">
                  <h4 class="card-title">Edit Compliant</h4>
                  <p class="card-category"></p>
                </div>
                <div class="card-body">

<?php

if (isset($error) && $error==false && isset($errors['success'])) {
	echo '<div class="alert alert-success" role="alert" id="success_message">Success <i class="glyphicon glyphicon-thumbs-up"></i> '.$errors['success'].'</div>';
} 

if (isset($error) && $error==true && isset($errors['error'])) {
	echo '<div class="alert alert-danger" role="alert" id="success_message">Success <i class="glyphicon glyphicon-thumbs-up"></i> '.$errors['error'].'</div>';
} 

?>

  <form role="form" method="post" enctype="multipart/form-data">
   <div class="box-body">
   

   
   <div class="row">
   <div class="col-md-6">
  
   <div class="form-group">
	<select name="user_id" class="form-control" required>
	<option value="">Select User</option>
	<?php if(mysqli_num_rows($category)>0){
		  while ($cat=mysqli_fetch_array($category)){
	?>
		<option <?php echo ($customer['user_id']==$cat['id'])?'selected':''; ?> value="<?php echo $cat['id'];?>"><?php echo $cat['first_name'].' ' .$cat['last_name'];?></option>
	<?php } } ?>
	</select>
	<?php if($error==true && isset($errors['cate_id'])){?>
		<p class="error"><?php echo $errors['cate_id'];?></p>
	<?php } ?>
   </div>
   </div>
   <div class="col-md-6">
   
   <div class="form-group">
	<label>Compliant</label>
	<textarea type="text" name="fname" required rows="5" class="form-control"  ><?php echo $customer['title']; ?></textarea>
	<?php if($error==true && isset($errors['fname'])){?>
		<p class="error"><?php echo $errors['fname'];?></p>
	<?php } ?>
   </div>
   </div>
   
   
   
   </div>
   
   
   
   <div class="box-footer">
		<button type="submit" class="btn btn-primary">Save</button>
   </div>
			  
   </form>
  </div>
  </div>
  </div>
  </div>
  </div>
  </div>

<?php include_once 'includes/footer.php'; ?>